Bug 458537 - System.ApplicationException: Could not find org.freedesktop.Hal
System.ApplicationException: Could not find org.freedesktop.Hal
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: podsleuth (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-09 09:51 EDT by David Nielsen
Modified: 2008-09-24 20:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-24 20:03:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Nielsen 2008-08-09 09:51:49 EDT
Description of problem:
With the patches from 458524 and 453591, podsleuth now compiles on Rawhide however it fails with the following message when run:

Pre-Mount Settings:
  - UDI:                    /org/freedesktop/Hal/devices/volume_uuid_5481_3F08
  - Block Device:           /dev/sdb2
  - Temporary Mount Point:
  - FS Type:

Exception:

System.ApplicationException: Could not find org.freedesktop.Hal
  at Hal.Device.CastDevice[IDevice] () [0x0003a] in /home/david/rpmbuild/BUILD/podsleuth-0.6.0/src/PodSleuth.Hal/Hal/Device.cs:284
  at Hal.Device..ctor (System.String udi) [0x0000d] in /home/david/rpmbuild/BUILD/podsleuth-0.6.0/src/PodSleuth.Hal/Hal/Device.cs:127
  at PodSleuth.HalFrontend.HalPopulator.RunInternal (System.String[] args) [0x0001f] in /home/david/rpmbuild/BUILD/podsleuth-0.6.0/src/PodSleuth.Hal/PodSleuth.HalFrontend/HalPopulator.cs:54
  at PodSleuth.HalFrontend.HalPopulator.Run (System.String[] args) [0x00000] in /home/david/rpmbuild/BUILD/podsleuth-0.6.0/src/PodSleuth.Hal/PodSleuth.HalFrontend/HalPopulator.cs:24

Version-Release number of selected component (if applicable):
podsleuth-0.6.0-7.fc10.x86_64

How reproducible:
100%

Steps to Reproduce:
1. install updated podsleuth
2. reboot / restart hal
3. run podsleuth
  
Actual results:
The above error can be found in /tmp/podsleuth-debug

Expected results:
podsleuth happily running

Additional info:
Comment 1 Nigel Jones 2008-08-14 09:16:42 EDT
This package has now been orphaned, hopefully someone will be able to pick it up and resolve the reported bug soon.
Comment 2 Michel Alexandre Salim 2008-08-25 03:21:03 EDT
I'm updating podsleuth to 0.6.2, and it still produces the same error. Will have to investigate further.

Any idea why haldaemon has to be restarted to reproduce /tmp/podsleuth-debug each time?
Comment 3 Michel Alexandre Salim 2008-08-25 04:30:25 EDT
Problem fixed: I simply had to re-plug the iPod as well as restart haldaemon. Update landing in a minute.
Comment 4 Fedora Update System 2008-08-25 04:35:46 EDT
podsleuth-0.6.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/podsleuth-0.6.2-2.fc9
Comment 5 Fedora Update System 2008-08-25 04:36:47 EDT
podsleuth-0.6.2-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/podsleuth-0.6.2-2.fc8
Comment 6 Fedora Update System 2008-09-04 02:17:23 EDT
podsleuth-0.6.2-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/podsleuth-0.6.2-3.fc9
Comment 7 Fedora Update System 2008-09-04 02:18:13 EDT
podsleuth-0.6.2-3.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/podsleuth-0.6.2-3.fc8
Comment 8 Fedora Update System 2008-09-10 02:51:04 EDT
podsleuth-0.6.2-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update podsleuth'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7534
Comment 9 Fedora Update System 2008-09-10 03:15:32 EDT
podsleuth-0.6.2-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update podsleuth'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7469
Comment 10 Fedora Update System 2008-09-11 12:53:18 EDT
podsleuth-0.6.2-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update podsleuth'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7754
Comment 11 Fedora Update System 2008-09-11 12:56:48 EDT
podsleuth-0.6.2-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update podsleuth'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7796
Comment 12 Fedora Update System 2008-09-24 20:03:39 EDT
podsleuth-0.6.2-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2008-09-24 20:08:14 EDT
podsleuth-0.6.2-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2008-09-24 20:09:39 EDT
podsleuth-0.6.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2008-09-24 20:13:11 EDT
podsleuth-0.6.2-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.